Inbound Inspection

The inbound inspection resource.

Basehttps://rest.carbon.ms/inboundInspection
GET/inboundInspection

List inbound inspections

Retrieve a paginated list of inbound inspections. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/inboundInspection
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspection?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "inboundInspectionId": "xyz789",
    "receiptLineId": "xyz789",
    "receiptId": "xyz789",
    "itemId": "xyz789",
    "lotSize": 0,
    "samplingStandard": "string",
    "samplingPlanType": "string"
  }
]
GET/inboundInspection

Retrieve a inbound inspection

Fetch a single inbound inspection by filtering on `id`.

Query parameters

idstring

Match on the inbound inspection's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/inboundInspection
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "receiptLineId": "xyz789",
  "receiptId": "xyz789",
  "itemId": "xyz789",
  "lotSize": 0,
  "samplingStandard": "string",
  "samplingPlanType": "string"
}
POST/inboundInspection

Create a inbound inspection

Create a new inbound inspection.

Body parameters

inboundInspectionIdstringrequired
receiptLineIdstringrequired

References receiptLine.id

receiptIdstringrequired

References receipt.id

itemIdstringrequired

References item.id

itemReadableIdstring
supplierIdstring

References supplier.id

lotSizenumberrequired
samplingStandardsamplingStandardrequired
samplingPlanTypesamplingPlanTyperequired
sampleSizenumberrequired
acceptanceNumbernumberrequired
rejectionNumbernumberrequired
aqlnumber
inspectionLevelinspectionLevel
severityinspectionSeverity
codeLetterstring
statusinboundInspectionStatusrequired
notesstring
dispositionedBystring

References user.id

dispositionedAttimestamp
companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/inboundInspection
curl --request POST \
  --url https://rest.carbon.ms/inboundInspection \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789","receiptLineId":"xyz789","receiptId":"xyz789","itemId":"xyz789","lotSize":0,"samplingStandard":"string","samplingPlanType":"string","sampleSize":0,"acceptanceNumber":0,"rejectionNumber":0,"status":"string","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "receiptLineId": "xyz789",
  "receiptId": "xyz789",
  "itemId": "xyz789",
  "lotSize": 0,
  "samplingStandard": "string",
  "samplingPlanType": "string"
}
PATCH/inboundInspection

Update a inbound inspection

Update an existing inbound inspection, matched on `id`.

Body parameters

inboundInspectionIdstringrequired
receiptLineIdstringrequired

References receiptLine.id

receiptIdstringrequired

References receipt.id

itemIdstringrequired

References item.id

itemReadableIdstring
supplierIdstring

References supplier.id

lotSizenumberrequired
samplingStandardsamplingStandardrequired
samplingPlanTypesamplingPlanTyperequired
sampleSizenumberrequired
acceptanceNumbernumberrequired
rejectionNumbernumberrequired
aqlnumber
inspectionLevelinspectionLevel
severityinspectionSeverity
codeLetterstring
statusinboundInspectionStatusrequired
notesstring
dispositionedBystring

References user.id

dispositionedAttimestamp
companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/inboundInspection
curl --request PATCH \
  --url 'https://rest.carbon.ms/inboundInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "receiptLineId": "xyz789",
  "receiptId": "xyz789",
  "itemId": "xyz789",
  "lotSize": 0,
  "samplingStandard": "string",
  "samplingPlanType": "string"
}
DELETE/inboundInspection

Delete a inbound inspection

Delete a inbound inspection, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the inbound inspection to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/inboundInspection
curl --request DELETE \
  --url 'https://rest.carbon.ms/inboundInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content